Package org.htmlunit.html

# Class DomNamespaceNode

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.html.DomNamespaceNode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Node`

Direct Known Subclasses:
  `DomAttr`, `DomElement`

public abstract class DomNamespaceNode extends DomNode
Intermediate base class for DOM Nodes that have namespaces. That includes HtmlElement and HtmlAttr.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DomNamespaceNode(String namespaceURI, String qualifiedName, SgmlPage page)`
  Creates an instance of a DOM node that can have a namespace.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLocalName()`
  `String`
  `getLowercaseName()`
  INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
  `String`
  `getNamespaceURI()`
  `String`
  `getPrefix()`
  `String`
  `getQualifiedName()`
  Returns this node's qualified name.
  `void`
  `processImportNode(org.htmlunit.javascript.host.dom.Document doc)`
  INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
  Lifecycle method to support special processing for js method importNode.
  `void`
  `setPrefix(String prefix)`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, asXml, basicRemove, checkChildHierarchy, cloneNode, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getNextElementSibling, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, handles, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isAttachedToPage, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, printXml, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setTextContent, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Node

  `getNodeName, getNodeType, setNodeValue`

- ## Constructor Details

  - ### DomNamespaceNode

    protected DomNamespaceNode(String namespaceURI, String qualifiedName, SgmlPage page)
    Creates an instance of a DOM node that can have a namespace.
    Parameters:
      `namespaceURI` - the URI that identifies an XML namespace
      `qualifiedName` - the qualified name of the element type to instantiate
      `page` - the page that contains this element

- ## Method Details

  - ### getNamespaceURI

    public String getNamespaceURI()
    Specified by:
      `getNamespaceURI` in interface `Node`
    Overrides:
      `getNamespaceURI` in class `DomNode`

  - ### getLocalName

    public String getLocalName()
    Specified by:
      `getLocalName` in interface `Node`
    Overrides:
      `getLocalName` in class `DomNode`

  - ### getLowercaseName

    public String getLowercaseName()
    INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
    Returns:
      the element name as lowercase

  - ### getPrefix

    public String getPrefix()
    Specified by:
      `getPrefix` in interface `Node`
    Overrides:
      `getPrefix` in class `DomNode`

  - ### setPrefix

    public void setPrefix(String prefix)

  - ### getQualifiedName

    public String getQualifiedName()
    Returns this node's qualified name.
    Returns:
      this node's qualified name

  - ### processImportNode

    public void processImportNode(org.htmlunit.javascript.host.dom.Document doc)
    INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
    Lifecycle method to support special processing for js method importNode.
    Overrides:
      `processImportNode` in class `DomNode`
    Parameters:
      `doc` - the import target document
    See Also:
      - `Document.importNode(org.htmlunit.javascript.host.dom.Node, boolean)`
      - `HtmlScript.processImportNode(org.htmlunit.javascript.host.dom.Document)`